> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> This endpoint retrieves the transactions associated with a specific wallet.



## OpenAPI

````yaml get /v1/wallets/{walletId}/transactions
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/transactions:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: YOUR_WALLET_ID
    get:
      tags:
        - Transactions
      summary: Get Transactions
      description: >-
        This endpoint retrieves the transactions associated with a specific
        wallet.
      operationId: getTransactions1
      parameters:
        - name: id
          in: query
          schema:
            type: string
            example: caba52f2-950c-4d93-a92a-12032430e5b2
          description: Transaction Id
        - name: hash
          in: query
          schema:
            type: string
            example: '0x316750e68b7da65c3d03da3fd551a3a750a74e5c21ca2f8445f4ec2c4d07e91c'
          description: Transaction hash
        - name: status
          in: query
          schema:
            type: string
            example: CONFIRMED
          description: 'Transactions statuses.  Available values: PENDING, SUCCESS, FAILED'
        - name: type
          in: query
          schema:
            type: string
            example: DEPOSIT
          description: 'Transactions statuses.  Available values: DEPOSIT, WITHDRAW,SALVAGE'
        - name: order
          in: query
          schema:
            type: string
            example: ASC
          description: Order By. DESC, ASC
        - name: assets
          in: query
          schema:
            type: string
            example: USDT, USDC
          description: A list of assets to filter by, seperated by commas
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  analytics:
                    type: object
                    properties:
                      depositsCount:
                        type: number
                        example: 38
                      depositsSumIn24Hours:
                        type: number
                        example: 0
                      transactionsCount:
                        type: number
                        example: 64
                      transactionsSumIn24Hours:
                        type: number
                        example: 0
                      withdrawsCount:
                        type: number
                        example: 22
                      withdrawsSumIn24Hours:
                        type: number
                        example: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: object
                          nullable: true
                          example: null
                        amlScreening:
                          type: object
                          properties:
                            message:
                              type: string
                              example: Address is not sanctioned
                            provider:
                              type: string
                              example: ofac
                            status:
                              type: string
                              example: success
                        amount:
                          type: string
                          example: '5'
                        amountPaid:
                          type: string
                          example: '5'
                        asset:
                          type: object
                          properties:
                            address:
                              type: string
                              example: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                            createdAt:
                              type: string
                              example: '2024-05-14T11:53:33.682Z'
                            decimals:
                              type: number
                              example: 6
                            id:
                              type: string
                              example: fe04a28c-c615-4e41-8eda-f84c862864f5
                            isActive:
                              type: boolean
                              example: true
                            logoUrl:
                              type: string
                              example: >-
                                https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                            name:
                              type: string
                              example: USDC Coin
                            network:
                              type: string
                              example: testnet
                            standard:
                              type: string
                              nullable: true
                              example: ERC20
                            symbol:
                              type: string
                              example: USDC
                            updatedAt:
                              type: string
                              example: '2024-06-14T22:32:12.589Z'
                        assetSwept:
                          type: boolean
                          nullable: true
                          example: null
                        assetSweptAmount:
                          type: string
                          nullable: true
                          example: null
                        assetSweptAt:
                          type: string
                          nullable: true
                          example: null
                        assetSweptGasFee:
                          type: string
                          nullable: true
                          example: null
                        assetSweptHash:
                          type: string
                          nullable: true
                          example: null
                        assetSweptRecipientAddress:
                          type: string
                          nullable: true
                          example: null
                        assetSweptSenderAddress:
                          type: string
                          nullable: true
                          example: null
                        beneficiary:
                          type: object
                          nullable: true
                          example: null
                        blockHash:
                          type: string
                          nullable: true
                          example: >-
                            0x39e1a06ddf5940b457043c43b6c0271274503771d1ae440aa18cc438faf84c17
                        blockNumber:
                          type: number
                          nullable: true
                          example: 6626690
                        blockchain:
                          type: object
                          properties:
                            createdAt:
                              type: string
                              example: '2024-05-14T11:53:33.095Z'
                            derivationPath:
                              type: string
                              example: m/44'/60'/0'/0
                            id:
                              type: string
                              example: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                            isActive:
                              type: boolean
                              example: true
                            isEvmCompatible:
                              type: boolean
                              example: true
                            logoUrl:
                              type: string
                              example: >-
                                https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                            name:
                              type: string
                              example: ethereum
                            slug:
                              type: string
                              example: ethereum
                            symbol:
                              type: string
                              example: eth
                            tokenStandard:
                              type: string
                              example: ERC20
                            updatedAt:
                              type: string
                              example: '2024-06-14T22:32:11.983Z'
                        chainId:
                          nullable: true
                          example: null
                        confirmations:
                          type: number
                          nullable: true
                          example: 6
                        confirmed:
                          type: boolean
                          example: true
                        createdAt:
                          type: string
                          example: '2024-09-03T18:19:18.301Z'
                        currency:
                          type: string
                          example: USD
                        fee:
                          type: string
                          nullable: true
                          example: null
                        gasFee:
                          type: string
                          nullable: true
                          example: '0.00060714270605711'
                        gasPrice:
                          type: string
                          nullable: true
                          example: '13477983130'
                        gasUsed:
                          type: string
                          nullable: true
                          example: '45047'
                        hash:
                          type: string
                          example: >-
                            0xf071b647856716e354c378d208522943cb4e37339e6679c99b9a03f2db4a2025
                        id:
                          type: string
                          example: 1d9b9b89-7326-482d-a048-67540e9d129e
                        metadata:
                          type: object
                          nullable: true
                          example: null
                        network:
                          type: string
                          example: testnet
                        note:
                          nullable: true
                          example: null
                        reason:
                          type: string
                          nullable: true
                          example: null
                        recipientAddress:
                          type: string
                          example: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference:
                          type: string
                          example: WGYa4Qqq01
                        senderAddress:
                          type: string
                          example: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status:
                          type: string
                          example: SUCCESS
                        type:
                          type: string
                          example: WITHDRAW
                        updatedAt:
                          type: string
                          example: '2024-09-03T18:20:40.077Z'
                    example:
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '5'
                        amountPaid: '5'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0x39e1a06ddf5940b457043c43b6c0271274503771d1ae440aa18cc438faf84c17
                        blockNumber: 6626690
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T18:19:18.301Z'
                        currency: USD
                        fee: null
                        gasFee: '0.00060714270605711'
                        gasPrice: '13477983130'
                        gasUsed: '45047'
                        hash: >-
                          0xf071b647856716e354c378d208522943cb4e37339e6679c99b9a03f2db4a2025
                        id: 1d9b9b89-7326-482d-a048-67540e9d129e
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: WGYa4Qqq01
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: WITHDRAW
                        updatedAt: '2024-09-03T18:20:40.077Z'
                      - address:
                          address: '0x599393d99e2Ec79048598fa299e4B1B249319339'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-03T18:07:00.209Z'
                          derivationPath: m/44'/60'/0'/0/54
                          id: 36b1c1ba-c6db-4d63-a794-6c829aaa8fea
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-03T18:07:00.209Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '7.0'
                        amountPaid: '7.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '7.0'
                        assetSweptAt: '2024-09-03T15:13:40.335Z'
                        assetSweptGasFee: '0.000578844391411408'
                        assetSweptHash: >-
                          0xfbb6f9ed524e9cdeeeb2ea442d7b03e8d4ad724f5dcd629ee6426f35367eb6f0
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x599393d99e2Ec79048598fa299e4B1B249319339'
                        beneficiary: null
                        blockHash: >-
                          0xf7a84337295268a52fc928d7140e3156fe5737eaffddc51e3f6f459c60fd7e22
                        blockNumber: 6626641
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T18:08:52.358Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000464763624214312'
                        gasPrice: '7477012568'
                        gasUsed: '62159'
                        hash: >-
                          0xfca89967ad56012444f19ae8c0bb8c5b054c19c66bf9dd5e026c213935f76680
                        id: 255fdfec-a0d8-426e-873e-b2aec96b8fa7
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0x599393d99e2Ec79048598fa299e4B1B249319339'
                        reference: 9ZUP4aTWMI
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-03T18:13:40.357Z'
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.0'
                        amountPaid: '0.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary:
                          address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                          createdAt: '2024-09-02T17:22:03.358Z'
                          deletedAt: null
                          id: 701d3109-3d9c-487a-b9bd-c2447dcee1bc
                          isActive: true
                          isDefault: false
                          isSettlement: true
                          name: Ledger Wallet
                          settlementFrequency: DAILY
                          updatedAt: '2024-09-02T17:22:03.358Z'
                        blockHash: >-
                          0xb0d336889df71fabc99cf466ae513ab88b977219650bd0eef1b660ea174df84c
                        blockNumber: 6626630
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T18:04:26.646Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000191922594735915'
                        gasPrice: '4869772265'
                        gasUsed: '39411'
                        hash: >-
                          0x806f29034d023eb26c2454e7ff4d9d8b80627ee2339663a67f46f49cc9ed72a6
                        id: cffa2ad7-b67a-4b3e-8d2a-ee12cb357ecd
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: HH3qDbBBX6
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: AUTO_SETTLEMENT
                        updatedAt: '2024-09-03T18:05:52.045Z'
                      - address: null
                        amlScreening: {}
                        amount: '7.0'
                        amountPaid: '7.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary:
                          address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                          createdAt: '2024-09-02T17:22:03.358Z'
                          deletedAt: null
                          id: 701d3109-3d9c-487a-b9bd-c2447dcee1bc
                          isActive: true
                          isDefault: false
                          isSettlement: true
                          name: Ledger Wallet
                          settlementFrequency: DAILY
                          updatedAt: '2024-09-02T17:22:03.358Z'
                        blockHash: null
                        blockNumber: null
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: null
                        confirmed: false
                        createdAt: '2024-09-03T17:49:12.481Z'
                        currency: USD
                        fee: null
                        gasFee: null
                        gasPrice: null
                        gasUsed: null
                        hash: >-
                          0xed425607f7f3e49518d895d2d7afd3bfa76e418538869607287fb16e778f6e99
                        id: a8d986e9-e497-428d-b8bf-6f9205162697
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: xIdd7I9Cjd
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: PENDING
                        type: AUTO_SETTLEMENT
                        updatedAt: '2024-09-03T17:49:12.481Z'
                      - address:
                          address: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-02T17:22:23.946Z'
                          derivationPath: m/44'/60'/0'/0/51
                          id: b11f69f8-91f8-43bc-b3e2-8891a63bbe80
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-02T17:22:23.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '7.0'
                        amountPaid: '7.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '7.0'
                        assetSweptAt: '2024-09-03T14:45:13.613Z'
                        assetSweptGasFee: '0.000517033160921864'
                        assetSweptHash: >-
                          0x6ec1321537d976ef94027a1c55953a206980fbf2234e9ce1e1c88f8aeab452ca
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        beneficiary: null
                        blockHash: >-
                          0x003860e7c36e29ae105093cb3f61c86f59be6b785bd17de003aa1cc82585b708
                        blockNumber: 6626534
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T17:43:38.139Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000551523943630063'
                        gasPrice: '8872793057'
                        gasUsed: '62159'
                        hash: >-
                          0x43d313ba6d454793e06b8ba085a857f0ae4c189d280d17ac9565113754b5dac5
                        id: 47973ca4-5611-4c2e-8e5c-3b01172533b1
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        reference: 8Io21XABm
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-03T17:45:13.670Z'
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '2.3988'
                        amountPaid: '2.3988'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary:
                          address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                          createdAt: '2024-09-02T17:22:03.358Z'
                          deletedAt: null
                          id: 701d3109-3d9c-487a-b9bd-c2447dcee1bc
                          isActive: true
                          isDefault: false
                          isSettlement: true
                          name: Ledger Wallet
                          settlementFrequency: DAILY
                          updatedAt: '2024-09-02T17:22:03.358Z'
                        blockHash: >-
                          0x69d5987d71286bf5987021b250c3a007f0d82e92849256da7c1b8909ace2d05c
                        blockNumber: 6626495
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T17:31:48.332Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000429126587231775'
                        gasPrice: '10662324825'
                        gasUsed: '40247'
                        hash: >-
                          0xd1b71b7f2678449d1a8b7d3284b38d364e3bb5c1291e97e1859f149288d343f1
                        id: 521618fd-6072-4d4f-8bd0-baed570df29c
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: D3cW2FHbzx
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: AUTO_SETTLEMENT
                        updatedAt: '2024-09-03T17:33:50.266Z'
                      - address:
                          address: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-02T17:22:23.946Z'
                          derivationPath: m/44'/60'/0'/0/51
                          id: b11f69f8-91f8-43bc-b3e2-8891a63bbe80
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-02T17:22:23.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '1.0'
                        amountPaid: '1.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '1.0'
                        assetSweptAt: '2024-09-03T14:20:49.810Z'
                        assetSweptGasFee: '0.000577647556267648'
                        assetSweptHash: >-
                          0x11e59fcd92fee6d92eefae9e055631ab1d926b902237a5e6d43486327870da54
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        beneficiary: null
                        blockHash: >-
                          0xf3cb49c35871d897f1d2cf6e7d59333e72f8b3927d8fc82d8fc240a98308f282
                        blockNumber: 6626414
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-03T17:14:25.680Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000490342503493458'
                        gasPrice: '10882232262'
                        gasUsed: '45059'
                        hash: >-
                          0xc3266a348ba6c43247b9a03558f104e690db1c50e2b1167c7b16da4fe3b86506
                        id: 3e31f754-8a69-4f2d-bf3d-dd3ef7cc2cc7
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        reference: XHAOcfja5V
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-03T17:20:49.840Z'
                      - address: null
                        amlScreening: {}
                        amount: '2214010000000'
                        amountPaid: '2214010000000'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary:
                          address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                          createdAt: '2024-09-02T17:22:03.358Z'
                          deletedAt: null
                          id: 701d3109-3d9c-487a-b9bd-c2447dcee1bc
                          isActive: true
                          isDefault: false
                          isSettlement: true
                          name: Ledger Wallet
                          settlementFrequency: DAILY
                          updatedAt: '2024-09-02T17:22:03.358Z'
                        blockHash: null
                        blockNumber: null
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: null
                        confirmed: false
                        createdAt: '2024-09-03T15:41:13.036Z'
                        currency: USD
                        fee: null
                        gasFee: null
                        gasPrice: null
                        gasUsed: null
                        hash: >-
                          0x038b6edb6be45668d544bd100efc095cff5ccd802ae1af0d4279c40f905a186e
                        id: 60022438-7866-486e-9a12-af8068f9111c
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: flx1JcAw2k
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: PENDING
                        type: AUTO_SETTLEMENT
                        updatedAt: '2024-09-03T15:41:13.036Z'
                      - address:
                          address: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-02T17:22:23.946Z'
                          derivationPath: m/44'/60'/0'/0/51
                          id: b11f69f8-91f8-43bc-b3e2-8891a63bbe80
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-02T17:22:23.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0xf428afd55b34e7e9c508af901a36688efbf279042ed571ef797f72eafa9c63dd
                        blockNumber: 6620295
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-02T17:57:02.193Z'
                        currency: USD
                        fee: '0.0001'
                        gasFee: '0.000374267554836553'
                        gasPrice: '8306166467'
                        gasUsed: '45059'
                        hash: >-
                          0xd975dc72552e6d0d46b3fe3b8c95c0eecdacf3ad6214d1df97dae0f298d4234a
                        id: b929ff9d-7556-4f53-8f6c-d3b4845be487
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        reference: rsYxCkEU5o
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-02T17:59:38.603Z'
                      - address:
                          address: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-02T17:22:23.946Z'
                          derivationPath: m/44'/60'/0'/0/51
                          id: b11f69f8-91f8-43bc-b3e2-8891a63bbe80
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-02T17:22:23.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0xf3f8c09b059c1d2044d206b3e4861df00cc8ee59d76a44a66a1914aa4e80a3f1
                        blockNumber: 6620247
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-02T17:45:52.117Z'
                        currency: USD
                        fee: '0.0001'
                        gasFee: '0.000386989529478265'
                        gasPrice: '8588506835'
                        gasUsed: '45059'
                        hash: >-
                          0xed0b456cd32dc21023e870813424c39e56810ba388998d5d8c5a07b7c54e8497
                        id: 92d51f61-9065-4a5e-8689-d36609dde2a2
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        reference: oTNQsvWJXX
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-02T17:47:39.819Z'
                      - address:
                          address: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-09-02T17:22:23.946Z'
                          derivationPath: m/44'/60'/0'/0/51
                          id: b11f69f8-91f8-43bc-b3e2-8891a63bbe80
                          isActive: true
                          metadata:
                            id: sweep 0x0e012 n10n10
                          name: sweep 0x0e012 n10n10
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-09-02T17:22:23.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '1.0'
                        amountPaid: '1.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0x3b7e78ebfb853c4fe9b89bf88feaaeb3b50ff0bcaff30018a99b672921c4188a
                        blockNumber: 6620153
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-02T17:24:14.365Z'
                        currency: USD
                        fee: '0.001'
                        gasFee: '0.000565717806138798'
                        gasPrice: '9101140722'
                        gasUsed: '62159'
                        hash: >-
                          0x4c6b3ec7c46eac64dfb0f749a63ff0e0ecfa5e7c7ab0cc0e70c844a197afc9ae
                        id: dc4834f1-6590-425e-93fd-9128f9f85543
                        metadata:
                          id: sweep 0x0e012 n10n10
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x9f685fBaC5a57cb144b533237bFB2Be1eD07D373'
                        reference: cObC3SKEBg
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-02T17:28:50.175Z'
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.2'
                        amountPaid: '0.2'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0xcd36a2b46b0891ffcaadb89c317669f93c2c91a8abb860cba3d215fc11b43659
                        blockNumber: 6612500
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-01T12:27:28.531Z'
                        currency: USD
                        fee: null
                        gasFee: '0.001972673927630268'
                        gasPrice: '43791460644'
                        gasUsed: '45047'
                        hash: >-
                          0xe87c360d9b93af496eb9b70a52394ccc485c77a0b554fa2a77c6f58a78626054
                        id: 78c474e6-b07f-4b23-ac88-142c05ae51ae
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: jR3EdQJ0Kl
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: WITHDRAW
                        updatedAt: '2024-09-01T12:28:52.869Z'
                      - address:
                          address: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-31T17:40:41.946Z'
                          derivationPath: m/44'/60'/0'/0/40
                          id: ae15c6c0-553b-4cf6-90c2-69438f3874d4
                          isActive: true
                          metadata:
                            id: sweep 0x0e012
                          name: sweep 0x0e012
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-31T17:40:41.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '1.0'
                        amountPaid: '1.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '1.0'
                        assetSweptAt: '2024-09-01T09:24:28.403Z'
                        assetSweptGasFee: '0.000953148356837096'
                        assetSweptHash: >-
                          0x19e0bfbeceb38192d08bb3bb3afda82582555a253db0621bc81598809f373ff6
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                        beneficiary: null
                        blockHash: >-
                          0x7d52e555f6e501320a49d6b2c192f09071be0862090692b1d9ff920f576de227
                        blockNumber: 6612475
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-09-01T12:23:04.683Z'
                        currency: USD
                        fee: null
                        gasFee: '0.001054313126742863'
                        gasPrice: '16961552257'
                        gasUsed: '62159'
                        hash: >-
                          0x59e578dc7325c259efa2e0f67dff38afc9e719c1c180ef34b37a2b29854a6962
                        id: 23d1084e-8aae-4c7e-aaf5-b8ec3fda8058
                        metadata:
                          id: sweep 0x0e012
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                        reference: hOlK06E8XW
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-09-01T12:24:28.422Z'
                      - address: null
                        amlScreening:
                          message: Address is sanctioned
                          provider: ofac
                          status: failed
                        amount: '0.2'
                        amountPaid: '0.2'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0xa2f64e8e207ba962880fc03fabb37bac0cb718296450029be8ecb741c7eb3570
                        blockNumber: 6607750
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 71
                        confirmed: true
                        createdAt: '2024-08-31T17:45:53.268Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000155647015327848'
                        gasPrice: '3455213784'
                        gasUsed: '45047'
                        hash: >-
                          0x0a299634a6d596b56639c03fb3278577f7556624515006bf869dadbfb4f0b18c
                        id: bdaffbda-8a20-420f-877d-2ed39f0ed83f
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: XpSdQXrULv
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: WITHDRAW
                        updatedAt: '2024-08-31T18:02:21.019Z'
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0x741d57a1caa61e76a9d4004bedb9b7968fedbc9d1eba974a314aa52957359038
                        blockNumber: 6607749
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-08-31T17:42:53.369Z'
                        currency: USD
                        fee: null
                        gasFee: '0.00015879385802102'
                        gasPrice: '3525070660'
                        gasUsed: '45047'
                        hash: >-
                          0xe87290aa90515ae0437fa7bfcd68f3ed2aa72251c346d12eae59bd28b5d143af
                        id: b4c42f31-11e9-43f3-b5a1-232705666254
                        metadata: null
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: vLrnvcu65S
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: WITHDRAW
                        updatedAt: '2024-08-31T17:46:52.259Z'
                      - address:
                          address: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-31T17:40:41.946Z'
                          derivationPath: m/44'/60'/0'/0/40
                          id: ae15c6c0-553b-4cf6-90c2-69438f3874d4
                          isActive: true
                          metadata:
                            id: sweep 0x0e012
                          name: sweep 0x0e012
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-31T17:40:41.946Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '1.0'
                        amountPaid: '1.0'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '1.0'
                        assetSweptAt: '2024-08-31T15:00:16.263Z'
                        assetSweptGasFee: '0.000053709773790292'
                        assetSweptHash: >-
                          0xd4eb3f1e951ec89f0335da14cc52af3c70634e4fccdf5b0e90d0069e6f7fa258
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                        beneficiary: null
                        blockHash: >-
                          0x8d694fe87a3d31eca485b677984de26fa76d4adffe48186f54ddef828099b3dc
                        blockNumber: 6607729
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-08-31T17:42:17.152Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000158279213244286'
                        gasPrice: '2546360354'
                        gasUsed: '62159'
                        hash: >-
                          0x79504a8d33b2e3002a44a531e1d8c65b60a6ef023d4fd4902ce7485d76d7f0eb
                        id: 873f6a2c-032a-4ffd-b1b0-fd545e12faad
                        metadata:
                          id: sweep 0x0e012
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0x491b49C1d0B75eEdDafb77393dE0eed7E12240Db'
                        reference: KOSOd29X0S
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-08-31T18:00:16.292Z'
                      - address: null
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '17'
                        amountPaid: '17'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: null
                        assetSweptAmount: null
                        assetSweptAt: null
                        assetSweptGasFee: null
                        assetSweptHash: null
                        assetSweptRecipientAddress: null
                        assetSweptSenderAddress: null
                        beneficiary: null
                        blockHash: >-
                          0x8afee9f776fe75248827487872ad368637ce3e48f1640f7973f19fe2207d9073
                        blockNumber: 6600750
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 6
                        confirmed: true
                        createdAt: '2024-08-30T14:53:39.447Z'
                        currency: USD
                        fee: null
                        gasFee: '0.007197892305974692'
                        gasPrice: '159743720588'
                        gasUsed: '45059'
                        hash: >-
                          0xb4a5ed0665bf6c9070ddb6742a9aeb5891e3a08595a3321f10c0f67007939d2a
                        id: dcdcb359-0a45-412f-bb8a-b164dcf56f8c
                        metadata:
                          id: 0xw
                        network: testnet
                        note: null
                        reason: null
                        recipientAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        reference: 3mbYD56HsY
                        senderAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        status: SUCCESS
                        type: WITHDRAW
                        updatedAt: '2024-08-30T14:55:01.596Z'
                      - address:
                          address: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-30T12:19:59.583Z'
                          derivationPath: m/44'/60'/0'/0/35
                          id: 54f8762c-f6ef-49bb-a2c6-5ea9935fa3be
                          isActive: true
                          metadata:
                            id: sweep 0x0e012
                          name: sweep 0x0e012
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-30T12:19:59.583Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '0.1'
                        assetSweptAt: '2024-08-30T09:30:13.575Z'
                        assetSweptGasFee: '0.0003988430915764'
                        assetSweptHash: >-
                          0x408d77dbb4b80c990a5f3f2fa18b421176f8e7d65fd669c9adc563fd8beb62c8
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                        beneficiary: null
                        blockHash: >-
                          0x45b1345741dea41b4b4fb529c353ac9ba8e39d0b7bf0bedb410e65a9c2b7845d
                        blockNumber: 6600126
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 1
                        confirmed: true
                        createdAt: '2024-08-30T12:30:06.465Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000611400959624908'
                        gasPrice: '9836081012'
                        gasUsed: '62159'
                        hash: >-
                          0x9ebca368923c99475aa9026b931aca817c18331a070c6c36b4a09e8d56dbf9fe
                        id: 52553240-9f31-444a-9792-56a415ee164f
                        metadata:
                          id: sweep 0x0e012
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                        reference: UPih89eq5l
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-08-30T12:30:13.576Z'
                      - address:
                          address: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-30T12:19:59.583Z'
                          derivationPath: m/44'/60'/0'/0/35
                          id: 54f8762c-f6ef-49bb-a2c6-5ea9935fa3be
                          isActive: true
                          metadata:
                            id: sweep 0x0e012
                          name: sweep 0x0e012
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-30T12:19:59.583Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.2'
                        amountPaid: '0.2'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '0.2'
                        assetSweptAt: '2024-08-30T09:24:04.556Z'
                        assetSweptGasFee: '0.000426223052029516'
                        assetSweptHash: >-
                          0xbaac1b0ef16c49b5f3a432a67f013e185c9f9d0011a7469882ca7fd5f74ef1fc
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                        beneficiary: null
                        blockHash: >-
                          0xb9a60c1b5c72574bebbbcb7060d3ad9cb681771cd5b1f6dddc8f507c1d0393ef
                        blockNumber: 6600092
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 1
                        confirmed: true
                        createdAt: '2024-08-30T12:22:29.227Z'
                        currency: USD
                        fee: null
                        gasFee: '0.000686039988482213'
                        gasPrice: '11036856907'
                        gasUsed: '62159'
                        hash: >-
                          0x463f598214d8a8e46aafee19667cf5b97dff22042ce4d6666fef188b9f9143ee
                        id: 25fd343a-6a7e-464d-9ff1-1e3863b81d91
                        metadata:
                          id: sweep 0x0e012
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0xa37Ef275EF04ba2Af833A4d25C88F850E982F7eb'
                        reference: riGD6Lb57M
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-08-30T12:24:04.604Z'
                      - address:
                          address: '0xe7A0ec287cadD70D1F9A26818981f55b5bF6918e'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-29T15:30:58.479Z'
                          derivationPath: m/44'/60'/0'/0/30
                          id: b098db3a-f144-490c-a208-9a699547a640
                          isActive: true
                          metadata:
                            id: sweep 0x0e01
                          name: sweep 0x0e01
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-29T15:30:58.479Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '0.1'
                        assetSweptAt: '2024-08-29T12:32:49.557Z'
                        assetSweptGasFee: '0.00303955602606474'
                        assetSweptHash: >-
                          0xa9eb8c2475f5feb1d4572c5097a25a3541b2bbbf943a9b12e41ebedf66560df8
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0xe7A0ec287cadD70D1F9A26818981f55b5bF6918e'
                        beneficiary: null
                        blockHash: >-
                          0x17545da3207ed2d584f4e09614fd76668e57b64e859a285402684712546d0288
                        blockNumber: 6594607
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 1
                        confirmed: true
                        createdAt: '2024-08-29T15:31:54.140Z'
                        currency: USD
                        fee: '0.00005'
                        gasFee: '0.004094913342901105'
                        gasPrice: '65878044095'
                        gasUsed: '62159'
                        hash: >-
                          0xd4a7cfa90677e9a9e61424a337b1b4869f71b90bc2bfceb588cf38382de02e92
                        id: edd5b9aa-9b65-4747-a1bc-00e0120b4e2b
                        metadata:
                          id: sweep 0x0e01
                        network: testnet
                        note: null
                        reason: Funds swept successfully
                        recipientAddress: '0xe7A0ec287cadD70D1F9A26818981f55b5bF6918e'
                        reference: THM0qMTwRW
                        senderAddress: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                        status: SUCCESS
                        type: DEPOSIT
                        updatedAt: '2024-08-29T15:32:49.557Z'
                      - address:
                          address: '0x786cEffE9A81f67549E595C616969664abB9aE3D'
                          configurations:
                            aml:
                              message: Address is not sanctioned
                              provider: ofac
                              status: success
                          createdAt: '2024-08-29T15:06:29.102Z'
                          derivationPath: m/44'/60'/0'/0/29
                          id: e69f50d1-48a3-4c99-b302-1aec9fdf6aea
                          isActive: true
                          metadata:
                            id: sweep 0x0e01
                          name: sweep 0x0e01
                          network: testnet
                          type: INTERNAL
                          updatedAt: '2024-08-29T15:06:29.102Z'
                        amlScreening:
                          message: Address is not sanctioned
                          provider: ofac
                          status: success
                        amount: '0.1'
                        amountPaid: '0.1'
                        asset:
                          address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt: '2024-05-14T11:53:33.682Z'
                          decimals: 6
                          id: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444992/crypto-assets/USDC.png
                          name: USDC Coin
                          network: testnet
                          standard: ERC20
                          symbol: USDC
                          updatedAt: '2024-06-14T22:32:12.589Z'
                        assetSwept: true
                        assetSweptAmount: '0.1'
                        assetSweptAt: '2024-08-29T12:22:13.688Z'
                        assetSweptGasFee: '0.003359673693144772'
                        assetSweptHash: >-
                          0x64c0731858502ab5b1a26f68bedce022fb6a0c6026d7a50ef35e57f1f8505dec
                        assetSweptRecipientAddress: '0x947514e4B803e312C312da0F1B41fEDdbe15ae7a'
                        assetSweptSenderAddress: '0x786cEffE9A81f67549E595C616969664abB9aE3D'
                        beneficiary: null
                        blockHash: >-
                          0xbecf4308873f6d0d17586d65d3eb5d3a4083544ac2b35361b014ec072d79dec1
                        blockNumber: 6594567
                        blockchain:
                          createdAt: '2024-05-14T11:53:33.095Z'
                          derivationPath: m/44'/60'/0'/0
                          id: 85ffc132-3972-4c9e-99a5-5cf0ccb688bf
                          isActive: true
                          isEvmCompatible: true
                          logoUrl: >-
                            https://res.cloudinary.com/dkgdc1vnl/image/upload/v1771444998/crypto-assets/ethereum.png
                          name: ethereum
                          slug: ethereum
                          symbol: eth
                          tokenStandard: ERC20
                          updatedAt: '2024-06-14T22:32:11.983Z'
                        chainId: null
                        confirmations: 1
                        confirmed: true
                        createdAt: '2024-08-29T15:22:07.375Z'
                        currency: USD
                        fee: null
[...]
